	
	php_flag	display_errors	On
	php_value	default_charset		"UTF-8"
	php_flag	session.auto_start	On
	php_value	session.cache_expire	10080
	
	
	<IfModule mod_rewrite.c>
		
		RewriteEngine	On
		
		RewriteRule	^start/([0-9]+)/?$	start.php?id=$1
		
		RewriteRule	^save/?$	save.php
		RewriteRule	^settings/?$	settings.php
		RewriteRule	^settings/name/?$	settings.php?act=name
		RewriteRule	^settings/align/?$	settings.php?act=align
		RewriteRule	^settings/password/?$	settings.php?act=password

		RewriteRule	^user/?$	user.php
		RewriteRule	^user/([0-9]+)/?$	user.php?id=$1
		
		RewriteRule	^train/?$	train.php
		RewriteRule	^train/(str|dex|life|protection|mana)/?$	train.php?train=$1
		
		RewriteRule	^clan/?	clan.php
		RewriteRule	^clan/([0-9]+)/?	clan.php?id=$1

		RewriteRule	^equip/?$	equip.php
		RewriteRule	^equip/([0-9]+)/?$	equip.php?id=$1
		RewriteRule	^ability/?$	ability.php
		RewriteRule	^ability/([0-9]+)/?$	ability.php?id=$1

		RewriteRule	^sack/?$	sack.php
		RewriteRule	^effects/([0-9]+)/?$	effects.php?id=$1
		
		RewriteRule	^manekenImage/([0-9]+)/([0-9]+)/([0-9]+)/([0-9]+)/([0-9]+)/([0-9]+)/([0-9]+)/([0-9]+)/([0-9]+)/?	manekenImage.php?sex=$1&1=$2&2=$3&3=$4&4=$5&5=$6&6=$7&7=$8&8=$9

		RewriteRule	^inv/move/([0-9]+)/([0-9]+)/?$	inv.php?place=$1&move=$2
		RewriteRule	^inv/use/([0-9]+)/?$	inv.php?use=$1
		RewriteRule	^inv/([0-9]+)/sellQuality/([0-9]+)/?$	inv.php?place=$1&sellQuality=$2
		RewriteRule	^inv/([0-9]+)/sellAll/?$	inv.php?place=$1&sellAll
		RewriteRule	^inv/sell/([0-9]+)/?$	inv.php?sell=$1
		RewriteRule	^inv/chest/?$	inv.php?place=1		
		RewriteRule	^inv/bag/?	inv.php?place=0
		
		RewriteRule	^item/([0-9]+)/([0-9]+)/?$	item.php?uid=$1&id=$2
		
		RewriteRule	^online/?$	online.php
		
		RewriteRule	^mail/?$	mail.php
		RewriteRule	^mail/deleteAllRead/?$	mail.php?deleteAllRead=1
		RewriteRule	^mail/([0-9]+)/?$	mail.php?id=$1
		RewriteRule	^mail/([0-9]+)/(.+)/?$	mail.php?id=$1&page=$2
		
		RewriteRule	^chat/([0-9]*)/?$	chat.php?cid=$1
		RewriteRule	^chat/([0-9]*)/([0-9]+)/?$	chat.php?cid=$1&page=$2
		RewriteRule	^chat/([0-9]*)/to/([0-9]+)/?$	chat.php?cid=$1&to=$2
		RewriteRule	^chat/([0-9]*)/delete/([0-9]+)/?$	chat.php?cid=$1&delete=$2
		RewriteRule	^chat/([0-9]*)/deleteAll/?$	chat.php?cid=$1&deleteAll=1
		
		
		
		RewriteRule	^forum/?$	forum.php
		RewriteRule	^forum/([0-9]*)/?$	forum.php?cid=$1
		
		
		RewriteRule	^forum/subforum/([0-9]+)/?$	forum.php?subforum=$1
		RewriteRule	^forum/subforum/(.+)/([0-9]+)/?$	forum.php?subforum=$2&act=$1
		RewriteRule	^forum/subforum/([0-9]+)/markUp/?$	forum.php?subforum=$1&markUp=1

		RewriteRule	^forum/topic/([0-9]+)/to/([0-9]+)/?$	forum.php?topic=$1&to=$2
		RewriteRule	^forum/topic/([0-9]+)/(.+)/?$	forum.php?topic=$1&page=$2
		
		RewriteRule	^forum/topic/([0-9]+)/?$	forum.php?topic=$1
		RewriteRule	^forum/topic/(.+)/([0-9]+)/?$	forum.php?topic=$2&act=$1

		
		RewriteRule	^arena/?$	arena.php
		RewriteRule	^duel/?$	duel.php
		
		RewriteRule	^cave/?	cave.php
		
		RewriteRule	^shop/?$	shop.php
		RewriteRule	^shop/item/([0-9]+)/?$	shopItem.php?id=$1

		RewriteRule	^complect/([0-9]+)/?$	complect.php?id=$1
		RewriteRule	^complect/([0-9]+)/([0-9]+)/?$	complect.php?id=$1&buy=$2
		RewriteRule	^complect/([0-9]+)/buyAll/?$	complect.php?id=$1&buyAll
		
		RewriteRule	^trade/?	trade.php
		
		RewriteRule	^rating/?$	rating.php
		RewriteRule	^rating/(.+)/?$	rating.php?page=$1
		
		RewriteRule	^lab/?	lab.php
		RewriteRule	^smith/?	smith.php
		
		RewriteRule	^moderators/?	moderators.php


		RewriteRule	^effshop/?	effshop.php

		</IfModule>
	